package com.kym.service.admin;

import com.kym.entity.admin.Platform;
import com.kym.entity.admin.queryParams.CommonQueryParam;
import com.kym.entity.common.PageBean;
import com.kym.service.mybatisplus.MyBaseService;

/**
 * <p>
 * 互联互通平台配置 服务类
 * </p>
 *
 * @author skyline
 */
public interface PlatformService extends MyBaseService<Platform> {

    PageBean<Platform> listPlatform(CommonQueryParam params);

    long createPlatform(Platform platform);

    void updatePlatform(Platform platform);

    Platform detail(long id);

    void removePlatform(long id);

}
